<ion-list *transloco="let t" class="flex-list-minor-min">
  <ion-list-header class="category-header">{{ title }}</ion-list-header>
  <ion-list-header class="category-text">{{ categoryText }}</ion-list-header>
  <div *ngIf="isLoading">
    <lib-skeleton-settings
      [skeletonCount]="skeletonCount"
    ></lib-skeleton-settings>
  </div>

  <div *ngIf="!isLoading" class="flex-list-small">
    <ion-row class="activate-buttons-container flex-list-minor-min">
      <lib-custom-horizontal-button
        (buttonClick)="activateAllSettings()"
        [buttonType]="customButtonType.button"
        [colorScheme]="customButtonColorScheme.hint"
        [title]="t('ui.custom-settings-list.activate_all')"
        class="show-more-button"
        data-test-id="enable-all"
      >
      </lib-custom-horizontal-button>
      <lib-custom-horizontal-button
        (buttonClick)="deactivateAllSettings()"
        [buttonType]="customButtonType.button"
        [colorScheme]="customButtonColorScheme.hint"
        [title]="t('ui.custom-settings-list.deactivate_all')"
        class="show-more-button"
        data-test-id="disable-all"
      >
      </lib-custom-horizontal-button>
    </ion-row>
    <lib-checkbox-setting
      (checkedChange)="switchCheckbox(item)"
      *ngFor="let item of items"
      [checked]="item.id ? settings[item.id] : settings[item.name]"
      aria-atomic="true"
      aria-live="polite"
      localizedTitle="{{ item.name }}"
    ></lib-checkbox-setting>
  </div>
</ion-list>
